## trunk?format=zip&rev=1808

=== server/fedora/Makefile ===
# Makefile for building scripts.mit.edu Fedora packages
# Copyright (C) 2006  Jeff Arnold <jbarnold@mit.edu>
#                and  Joe Presbrey <presbrey@mit.edu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#
# See /COPYRIGHT in this repository for more information.

upstream_yum	= krb5 krb5.i686 httpd openssh 389-ds-base
hackage		= MonadCatchIO-mtl-0.3.0.1 cgi-3001.1.8.1 unix-handle-0.0.0
upstream_hackage = ghc-MonadCatchIO-mtl ghc-cgi ghc-unix-handle
upstream	= openafs $(upstream_yum) $(upstream_hackage) moira cluster-glue heartbeat pacemaker zephyr zephyr.i686 python-zephyr
oursrc		= execsys tokensys accountadm httpdmods logview sql-signup nss_nonlocal nss_nonlocal.i686 whoisd athrun php_scripts scripts-wizard scripts-base scripts-static-cat
allsrc		= $(upstream) $(oursrc)
oursrcdir	= ${PWD}/../common/oursrc
patches		= ${PWD}/../common/patches
specs		= ${PWD}/specs

topdir		= ${HOME}/rpmbuild
tmp_build	= $(topdir)/BUILD
tmp_specs	= $(topdir)/SPECS
tmp_src		= $(topdir)/SOURCES
out_rpms	= $(topdir)/RPMS
out_srpms	= $(topdir)/SRPMS
out_sbin	= $(topdir)/sbin

dload		= ${PWD}/.dload
server_url	= "http://web.mit.edu/scripts/src"
server_arch	= "fedora.stable"
#openafs_url	= "http://dl.openafs.org/dl/openafs/1.4.12/openafs-1.4.12-1.1.2.src.rpm"
openafs_url	= "http://web.mit.edu/~scripts/rpm-fc13/openafs-1.4.12.1-1.0.pre3.src.rpm"
clusterglue_url	= "http://kojipkgs.fedoraproject.org/packages/cluster-glue/1.0/0.11.b79635605337.hg.fc12/src/cluster-glue-1.0-0.11.b79635605337.hg.fc12.src.rpm"
heartbeat_url	= "http://kojipkgs.fedoraproject.org/packages/heartbeat/3.0.0/0.5.0daab7da36a8.hg.fc12/src/heartbeat-3.0.0-0.5.0daab7da36a8.hg.fc12.src.rpm"
pacemaker_url	= "http://kojipkgs.fedoraproject.org/packages/pacemaker/1.0.5/5.fc12/src/pacemaker-1.0.5-5.fc12.src.rpm"
zephyr_url	= "http://zephyr.1ts.org/export/HEAD/distribution/zephyr-3.0.tar.gz"

PKG		= $(patsubst %.i686,%,$@)

.PHONY: minimal-clean

info:
	@echo "The following packages are available:"; \
	echo "$(allsrc)"; \
	echo "Run 'make all' to build all packages."

minimal-clean:
	rm -rf $(topdir) $(dload)

clean: minimal-clean
	rm -rf $(out_rpms) $(out_srpms) $(out_sbin)
	rm -f download_stamp

mkdir-tree:
	@rpmdev-setuptree
	mkdir -p $(out_sbin)
	ln -sTf $(topdir) rpmbuild

download: download_stamp
download_stamp:
	@mkdir -p $(dload); \
	#wget -qO- -nv $(server_url)/$(server_arch) | xargs make
	cd $(dload) && yumdownloader --disablerepo=scripts --source $(upstream_yum)
	wget -P $(dload) $(openafs_url)
	wget -P $(dload) $(clusterglue_url)
	wget -P $(dload) $(heartbeat_url)
	wget -P $(dload) $(pacemaker_url)
	wget -P $(dload) $(zephyr_url)
	cd $(tmp_src) && wget -nd -r -l1 -np -A.orig.tar.gz http://debathena.mit.edu/apt/pool/debathena/d/debathena-moira/
	cabal update
	cabal fetch $(hackage)
	cp -a $(hackage:%=~/.cabal/packages/*/*/*/%.tar.gz) $(tmp_src)
	spectool -g -R $(specs)/python-zephyr.spec
	touch download_stamp

%.src.rpm:
	wget -q -nv -N -B $(server_url) -nd -nH -P $(dload) $(server_url)/$*.src.rpm

copy-patches: mkdir-tree
	@cp $(patches)/*.patch $(tmp_src); \
	cd $(tmp_src);

install-srpms: mkdir-tree download
	rpm $(rpm_args) -i $(dload)/*.src.rpm 2>/dev/null;

copy-specs: mkdir-tree
	cp ${specs}/*.spec $(tmp_specs)

patch-specs: install-srpms
	@cd ${tmp_specs}; \
	list=`ls ${specs}/*.spec.patch`; \
	for i in $$list; do \
		patch < $$i; \
	done; \
	list2=`svn ls ${oursrcdir}`; \
	for i in $$list2; do \
		base=`basename $$i`; \
		version=`svnversion ${oursrcdir}/$$i`; \
		version=$${version//:/_}; \
		echo "$$i version $$version"; \
		sed --in-place \
			-e "s/SVNVERSION_TO_UPDATE/$${version}/" \
		${tmp_specs}/$$base.spec; \
	done;

# 1. use the package's Makefile to delete leftover files and run autoconf
# 2. create a tarball (we want it to contain the autoconf output)
tarballs: mkdir-tree
	@cd ${oursrcdir}; \
	list=`find -mindepth 1 -maxdepth 1 -type d | grep -v ".svn"`; \
	for i in $$list; do \
		pushd $$i; \
		if [ -x ./mrproper ]; then \
			./mrproper; \
			autoconf; \
		fi; \
		popd; \
		tar -czf $(tmp_src)/$$i.tar.gz $$i; \
	done;

#setup: install-srpms copy-patches copy-specs patch-specs tarballs
setup: copy-patches copy-specs patch-specs tarballs

oursrc:
	make $(oursrc)

upstream: mkdir-tree download
	make $(upstream)

all:
	make $(allsrc)

$(oursrc): rpmbuild_args += --define 'scriptsversion $(shell svnversion ${oursrcdir}/$** | tr ':' '_' | sed -e 's/-.*/0.uncommitted/')'

$(filter %.i686,$(oursrc)): %.i686: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc13-i386 --arch=i686 ${rpmbuild_args} --define="_lib lib" -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(filter-out %.i686,$(oursrc)): %: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc13-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(upstream) openafs-kernel: rpmbuild_args += --define 'scriptsversion $(shell svnversion ${patches} | tr ':' '_')'

$(filter %.i686,$(upstream)): %.i686: setup patch-specs
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc13-i386 --arch=i686 ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(filter-out %.i686,$(upstream)): %: setup patch-specs
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc13-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

openafs-kernel: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/openafs*.spec
	/usr/bin/mock -r scripts-fc13-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/openafs*.src.rpm | head -1`

#sort -n sorts "2.6.25-1" later than "2.6.25.1-1", so it's Wrong
#kernvers = $(shell rpm -q --qf "%{Version}-%{Release}\n" --whatprovides kernel | sort -n | tail -n1)
kernvers = $(shell uname -r | sed "s/\(.*\)[.].*/\1/")
kvariants = ''
openafs_rpmbuild_args = --define "fedorakmod 1" --define "kvariants $(kvariants)" --define "kernvers $(kernvers)"
openafs: rpmbuild_args += $(openafs_rpmbuild_args)
openafs-kernel: rpmbuild_args += $(openafs_rpmbuild_args) --define "build_userspace 0" --define "build_modules 1"

frob-openafs:
	@if [ ! -d "/etc/openafs/" ]; then \
	echo "/etc/openafs does not exist"; \
	exit 1; \
	else \
	ln -nfs /etc/openafs/* /usr/vice/etc/; \
	fi

# The following packages are needed for our packages
basic-deps	= kernel-devel rpm-build rpmdevtools mock gcc autoconf patch krb5-workstation glibc-devel.i686 glibc-devel libtool libgcc.i686
oursrc-deps	= hesinfo openldap-clients openldap-devel.i686 php-devel
httpdmods-deps	= httpd-devel
httpd-deps	= xmlto db4-devel expat-devel zlib-devel libselinux-devel apr-devel apr-util-devel pcre-devel openssl-devel distcache-devel
krb5-deps	= bison ncurses-devel texinfo keyutils-libs-devel texinfo-tex texlive-latex libss-devel rsh
openafs-deps	= pam-devel automake
moira-deps      = e2fsprogs-devel
zephyr-deps	= hesiod-devel libss-devel krb5-devel readline-devel
openssh-deps	= gtk2-devel libX11-devel autoconf automake openssl-devel perl zlib-devel audit-libs-devel util-linux groff man pam-devel tcp_wrappers-devel krb5-devel libselinux-devel audit-libs xauth pango-devel cairo-devel libedit-devel nss-devel fipscheck-devel
php-deps	= bzip2-devel curl-devel gmp-devel libstdc++-devel sqlite-devel gcc-c++ libc-client-devel mysql-devel postgresql-devel unixODBC-devel libxml2-devel net-snmp-devel libxslt-devel libxml2-devel libXpm-devel libjpeg-devel t1lib-devel libmcrypt-devel mhash-devel libtidy-devel freetds-devel aspell-devel recode-devel
haskell-deps	= cabal-install
install-deps:
	yum -y install $(basic-deps) $(oursrc-deps) $(httpdmods-deps) $(httpd-deps) $(krb5-deps) $(openafs-deps) $(moira-deps) $(zephyr-deps) $(openssh-deps) $(php-deps) $(haskell-deps)
# XXX: We need to figure out what's going on with compat-readline43
#	rpm -ivh http://kojipkgs.fedoraproject.org/packages/compat-readline43/4.3/3/i386/compat-readline43-4.3-3.i386.rpm
#	rpm -ivh http://download.fedora.redhat.com/pub/fedora/linux/core/6/i386/os/Fedora/RPMS/compat-readline43-4.3-3.i386.rpm

fedora:
	make install-deps
	make upstream
	rpm -ivh $(out_rpms)/`uname -m`/openafs-devel*.rpm
	make oursrc

=== packages/invirt-console-host/debian/changelog ===
invirt-console-host (0.0.10) unstable; urgency=low

  * Clean up the old sudoers block in the postinst before we add it back

 -- Evan Broder <broder@mit.edu>  Tue, 25 Nov 2008 08:13:32 -0500

invirt-console-host (0.0.9) unstable; urgency=low

  * Add cron dependency

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 11:01:03 -0500

invirt-console-host (0.0.8) unstable; urgency=low

  * Specify a full path to invoke-rc.d for when this gets run as a cron
    job

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 18:57:02 -0500

invirt-console-host (0.0.7) unstable; urgency=low

  * Use invoke-rc.d instead of calling init scripts directly

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:29:20 -0400

invirt-console-host (0.0.6) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:12 -0400

invirt-console-host (0.0.5) unstable; urgency=low

  * invirt-console-host doesn't use the database anymore, so don't connect
    to it

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:09:03 -0400

invirt-console-host (0.0.4) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:46:46 -0400

invirt-console-host (0.0.3) unstable; urgency=low

  * make initscript even shorter, with code now provided by sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:07:46 -0400

invirt-console-host (0.0.2) unstable; urgency=low

  * make initscript start conserver on start/restart, not just reload
  * drastically shorten initscript to current Invirt best practice,
    in hopes that such dumb bugs can't hide so easily

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 03:33:32 -0400

invirt-console-host (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt
  * -server -> -host while we're at it

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 01:23:56 -0400

sipb-xen-console-server (2.8) unstable; urgency=low

  * Create a dummy console entry that exists by default so that conserver
    won't quit if no consoles are defined.

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 03:10:28 -0400

sipb-xen-console-server (2.7) unstable; urgency=low

  * Don't run conserver as root; use sudo instead

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 02:38:46 -0400

sipb-xen-console-server (2.06.3) unstable; urgency=low

  * Running conserver as root so it can run xm console

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:42:26 -0400

sipb-xen-console-server (2.06.2) unstable; urgency=low

  * No really - correctly divert conserver.cf

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:39:09 -0400

sipb-xen-console-server (2.06.1) unstable; urgency=low

  * Correctly divert conserver.cf

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 01:34:25 -0400

sipb-xen-console-server (2.06) unstable; urgency=low

  * generate config files using mako

 -- Yang Zhang <y_z@mit.edu>  Thu, 14 Aug 2008 15:15:18 -0400

sipb-xen-console-server (2.05) unstable; urgency=low

  * use invirt.config rather than /etc/invirt/* directly
  * get console-server hostname, db connection string from config
  * generate conserver config piece needing console-server ip
  * remove console 's_sipb-xen-dev', which doesn't work anyway
  * all configured!

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 18:58:59 -0400

sipb-xen-console-server (2.04) unstable; urgency=low

  * Get Kerberos realm from config rather than hardcoding.
  * Don't hardcode host's hostname in conserver.cf.
  * Update for current config-package-dev.

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 01:32:04 -0400

sipb-xen-console-server (2.03) unstable; urgency=low

  * Multiplex consoles on multiple hosts.

 -- Greg Price <price@mit.edu>  Sun, 13 Jul 2008 08:35:17 -0400

sipb-xen-console-server (2.02) unstable; urgency=low

  * And...xm isn't in the path, so give a full path

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:48:53 -0400

sipb-xen-console-server (2.01) unstable; urgency=low

  * update-conserver script should reload, not restart

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:43:12 -0400

sipb-xen-console-server (2) unstable; urgency=low

  * Use a python based update-conserver script that gets the list of
    consoles from xm list
  * Run the update-conserver script every 5 minutes to catch VMs that
    are not started or stopped through the remctl interface

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:32:58 -0400

sipb-xen-console-server (1.0.2) unstable; urgency=low

  * Also...make this package actually do something

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:41:32 -0400

sipb-xen-console-server (1.0.1) unstable; urgency=low

  * Misnamed a file

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:36:29 -0400

sipb-xen-console-server (1) unstable; urgency=low

  * Initial release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Wed,  2 Apr 2008 00:27:12 -0400

=== packages/invirt-database/debian/changelog ===
invirt-database (0.1.0) unstable; urgency=low

  * Turn on lazy loading for all tables

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 21:57:35 -0500

invirt-database (0.0.6) unstable; urgency=low

  * Let machines.administrator be NULL

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:41:48 -0500

invirt-database (0.0.5) unstable; urgency=low

  * Add an architecture field to the autoinstaller table

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 12:18:02 -0500

invirt-database (0.0.3) unstable; urgency=low

  * Add attributes to the ORM objects to connect mirrors and cdroms

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:16:18 -0400

invirt-database (0.0.2) unstable; urgency=low

  * Export mirrors_table and Mirrors from invirt.database.models

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:04:54 -0400

invirt-database (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400

sipb-xen-database (10.36.1) unstable; urgency=low

  * Typo in the new tables

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400

sipb-xen-database (10.36) unstable; urgency=low

  * Kill the remnants of the sipb_xen_database package
  * Add the CDROM mirrors table

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400

sipb-xen-database (10.35) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400

sipb-xen-database (10.34) unstable; urgency=low

  * yet another new-sqlalchemy fix, this one post-0.4.2

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400

sipb-xen-database (10.33) unstable; urgency=low

  * Catch calls to restart Postgres and translate them into a sequential
    stop, then start

 -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400

sipb-xen-database (10.32) unstable; urgency=low

  * invirt.database.clear_cache should actually do something

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400

sipb-xen-database (10.31) unstable; urgency=low

  * Database-managed VMs should never even think about bridging

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400

sipb-xen-database (10.30.4) unstable; urgency=low

  * Fix a typo in the CDROM image path

 -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400

sipb-xen-database (10.30.3) unstable; urgency=low

  * fix copy-paste errors in initscript: this is database, not console
  * fix "typo" in initscript for package name printed in logs

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700

sipb-xen-database (10.30.2) unstable; urgency=low

  * Fix a typo in the CDROM lookup in sipb-database

 -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400

sipb-xen-database (10.30.1) unstable; urgency=low

  * Don't strip quotes that won't be there

 -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:48:48 -0400

sipb-xen-database (10.30) unstable; urgency=low

  * Look for CD images in /dev/xenvg/image_* and validate image name from
    the database
  * Pass the installer arguments unaltered to the kernel, matching the
    remctl interface

 -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:09:42 -0400

sipb-xen-database (10.29) unstable; urgency=low

  * Some fixes in the sipb-database script

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:24 -0400

sipb-xen-database (10.28) unstable; urgency=low

  * Re-establish the database connection if the server goes AWOL

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400

sipb-xen-database (10.27) unstable; urgency=low

  * Update sipb-database to work with newer SQLAlchemy and Xen

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400

sipb-xen-database (10.26.1) unstable; urgency=low

  * We want autoflush off, too

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400

sipb-xen-database (10.26) unstable; urgency=low

  * Disable transactions by default

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400

sipb-xen-database (10.25) unstable; urgency=low

  * add remote and console to pg_hba.conf template
  * fix init script so it works
  * port more code to sqlalchemy 0.4

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400

sipb-xen-database (10.24) unstable; urgency=low

  * Update postgresql.conf for Hardy

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400

sipb-xen-database (10.23) unstable; urgency=low

  * switch to postgresql 8.3, as 8.1 isn't in hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400

sipb-xen-database (10.22) unstable; urgency=low

  * depend on postgresql without specifying old version 8.1

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400

sipb-xen-database (10.21) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400

sipb-xen-database (10.20) hardy; urgency=low

  * port to sqlalchemy-0.4, which cuts out some newly deprecated
    interfaces and allowed some still-present interfaces to bitrot

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000

sipb-xen-database (10.19) unstable; urgency=low

  * Generate config files for pg_hba.conf
  * replace postgresql.conf

 --  Sam Hartman <hartmans@xvm.mit.edu>  Mon, 25 Aug 2008 00:38:21 +0000

sipb-xen-database (10.18) unstable; urgency=low

  * add 'adminable' column to machines; for selectively, temporarily,
    enabling admin mode on a machine

 -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400

sipb-xen-database (10.17) unstable; urgency=low

  * pull IP gateway, network from config
  * configurabilization complete!

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400



=== packages/invirt-dev/debian/changelog ===
invirt-dev (0.0.10) unstable; urgency=low

  * Clean up /etc/sudoers in the prerm instead of the postinst

 -- Evan Broder <broder@mit.edu>  Tue, 25 Nov 2008 23:09:03 -0500

invirt-dev (0.0.9) unstable; urgency=low

  * Don't add the same line a bunch of times to /etc/sudoers

 -- Evan Broder <broder@mit.edu>  Tue, 25 Nov 2008 08:16:17 -0500

invirt-dev (0.0.8) unstable; urgency=low

  * Support building multiple packages in sequence

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:19:38 -0500

invirt-dev (0.0.7) unstable; urgency=low

  * Undo my attempts at correctly splitting the package list; do it less
    correctly

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 04:01:09 -0500

invirt-dev (0.0.6) unstable; urgency=low

  * Punt duplicate dirs file and unused docs file in package
  * Add invirt-ood-build for building out of date packages

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 03:43:41 -0500

invirt-dev (0.0.5) unstable; urgency=low

  * Add new invirt-ood-packages script

 -- Evan Broder <broder@mit.edu>  Sat, 08 Nov 2008 23:52:09 -0500

invirt-dev (0.0.4) unstable; urgency=low

  * Get the svn repo from the config file, instead of /srv/checkout

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:11:59 -0400

invirt-dev (0.0.3) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:25 -0400

invirt-dev (0.0.2) unstable; urgency=low

  * document need to add users to sbuild group

 -- Greg Price <price@mit.edu>  Sun, 26 Oct 2008 00:03:03 -0400

invirt-dev (0.0.1) unstable; urgency=low

  * sipb-xen-dev -> invirt-dev
  * sx-build-release -> invirt-build-release

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:23:26 -0400

sipb-xen-dev (26.2) unstable; urgency=low

  * remove vacuous README files
  * remove sipb-xen-repository Apache config file,
    which has been in sipb-xen-www, now invirt-web, since May

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 22:48:33 -0400

sipb-xen-dev (26.1) unstable; urgency=low

  * Fix a typo where the source package didn't get uploaded

 -- Evan Broder <broder@mit.edu>  Thu, 23 Oct 2008 22:03:40 -0400

sipb-xen-dev (26) unstable; urgency=low

  * Update sx-build-release and reprepro-env to work with sbuild instead
    of dpkg-buildpackage

 -- Evan Broder <broder@mit.edu>  Thu, 23 Oct 2008 21:56:17 -0400

sipb-xen-dev (25) unstable; urgency=low

  * Don't sign packages when they're built

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:25:52 -0400

sipb-xen-dev (24) unstable; urgency=low

  * depend on quilt, patchutils, config-package-dev

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:00:40 -0400

sipb-xen-dev (23) unstable; urgency=low

  * in postinst, create user repository and group repo
    and add /etc/sudoers line

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:06:04 -0400

sipb-xen-dev (22) unstable; urgency=low

  [ Sam Hartman ]
  * Do not include a key id for dpkg-buildpackage per discussion on class xvm

  [ Greg Price ]
  * depend on equivs

 -- Greg Price <price@mit.edu>  Sun, 24 Aug 2008 15:58:14 -0400

sipb-xen-dev (21) unstable; urgency=low

  * Depend on sipb-xen-base
  * don't require packages be signed on upload

 --  Sam Hartman <hartmans@xvm.mit.edu>  Tue,  5 Aug 2008 21:23:44 +0000

sipb-xen-dev (20) unstable; urgency=low

  * dumb bugfix in init script

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:11:04 -0400

sipb-xen-dev (19) unstable; urgency=low

  * use CDBS, which doesn't forget dh_installinit like I did

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:02:41 -0400

sipb-xen-dev (18) unstable; urgency=low

  * sign the packages, getting keyid from invirt.config

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 00:43:58 -0400

sipb-xen-dev (17) unstable; urgency=low

  * use reprepro more correctly (and include in both stable and unstable)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:47:55 -0400

sipb-xen-dev (16) unstable; urgency=low

  * usage as "sx-build-release <package-name>", no "trunk/packages"
  * clobber the build-release/<package-name> directory automatically

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:12:03 -0400

sipb-xen-dev (15) unstable; urgency=low

  * Stop requiring the current directory to be in the checkout.
  * Don't do unnecessary write operations
    (hence prompt less often for a password.)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 22:45:42 -0400

sipb-xen-dev (14) unstable; urgency=low

  * Use the shallower directory structure.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 17:25:20 -0400

sipb-xen-dev (13) unstable; urgency=low

  * Update the svn uri automatically.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 21:38:37 -0400

sipb-xen-dev (12) unstable; urgency=low

  * Update the svn uri to point to the new repository

 -- Nelson Elhage <nelhage@mit.edu>  Wed, 15 Aug 2007 22:58:49 -0400

sipb-xen-dev (11) unstable; urgency=low

  * Use svn export not co to avoid installing .svn directories

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:15:58 -0400

sipb-xen-dev (10) unstable; urgency=low

  * Use svn export not svn co so we don't get .svn directories installed

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:14:51 -0400

sipb-xen-dev (9) unstable; urgency=low

  * Add /debian to apache config

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:54:43 -0400

sipb-xen-dev (8) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:29:54 -0400

sipb-xen-dev (7) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:27:59 -0400

sipb-xen-dev (6) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:26:17 -0400

sipb-xen-dev (5) unstable; urgency=low

  * Bug fix

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:25:00 -0400



=== packages/invirt-host-master/debian/changelog ===
invirt-host-master (0.0.10) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:50:05 -0500

invirt-host-master (0.0.9) unstable; urgency=low

  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:40:30 -0500

invirt-host-master (0.0.8) unstable; urgency=low

  * Add dependency on invirt-storage-config

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 15:12:50 -0400

invirt-host-master (0.0.7) unstable; urgency=low

  * sipb-xen-autoinstaller-host -> invirt-autoinstaller-host

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:51:53 -0400

invirt-host-master (0.0.6) unstable; urgency=low

  * sipb-xen-dhcp -> invirt-dhcp
  * sipb-xen-vnc-server -> invirt-vnc-server

 -- Evan Broder <broder@mit.edu>  Wed, 29 Oct 2008 12:45:15 -0400

invirt-host-master (0.0.5) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:28 -0400

invirt-host-master (0.0.4) unstable; urgency=low

  * Add invirt-images to dependencies

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:08:57 -0400

invirt-host-master (0.0.3) unstable; urgency=low

  * sipb-xen-autoinstaller-host has a different name from its
    source package sipb-xen-autoinstaller

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:53:26 -0400

invirt-host-master (0.0.2) unstable; urgency=low

  * remove bitrotten sipb-xen-clvm-config

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:45:28 -0400

invirt-host-master (0.0.1) unstable; urgency=low

  * First version as a real package rather than equivs.
  * Rename from sipb-xen-host-master.

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:05:16 -0400

=== packages/invirt-web/debian/changelog ===
invirt-web (0.0.14) unstable; urgency=low

  * Depend on invirt-web-iptables

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 09:12:45 -0500

invirt-web (0.0.13) unstable; urgency=low

  * Add cron dependency

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 11:01:12 -0500

invirt-web (0.0.12) unstable; urgency=low

  * Whoops - forgot to drop an option to k5start

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:59:31 -0500

invirt-web (0.0.11) unstable; urgency=low

  * Use daemon/$HOSTNAME for the svn repository instead of the first
    principal in the keytab

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:56:36 -0500

invirt-web (0.0.10) unstable; urgency=low

  * Make /etc/apache2/sites-available/default a mako template
  * Fix a mistyped variable

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:27:56 -0500

invirt-web (0.0.9) unstable; urgency=low

  * Move trac off-site - redirect somewhere else

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:12:57 -0500

invirt-web (0.0.8) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:50:00 -0500

invirt-web (0.0.7) unstable; urgency=low

  * Query against the local nameserver to be sure there's no caching of
    deleted hosts
  * Depend on invirt-dns to be sure that a nameserver is running locally
  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:47:37 -0500

invirt-web (0.0.6) unstable; urgency=low

  * The web server needs a working AFS; make sure OpenAFS modules are
    installed

 -- Evan Broder <broder@mit.edu>  Mon, 03 Nov 2008 03:40:51 -0500

invirt-web (0.0.5) unstable; urgency=low

  * Add new dependency on python-dns

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 22:57:41 -0400

invirt-web (0.0.4) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:35 -0400

invirt-web (0.0.3) unstable; urgency=low

  * sipb-xen-vnc-client -> invirt-vnc-client

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:28:51 -0400

invirt-web (0.0.2) unstable; urgency=low

  * /sipb-xen -> /invirt in apt repo URI

 -- Greg Price <price@mit.edu>  Sun, 26 Oct 2008 04:56:21 -0400

invirt-web (0.0.1) unstable; urgency=low

  * sipb-xen-www -> invirt-web

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 22:09:29 -0400

sipb-xen-www (3.18) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:04:09 -0400

sipb-xen-www (3.17) unstable; urgency=low

  [ Quentin Smith ]
  * Add Kerberos-authenticated web interface on port 442

  [ Evan Broder ]
  * Add config-package-dev to the build dependencies

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 15:32:34 -0400

sipb-xen-www (3.16) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base
  * Fix comment copy-paste error in initscript, now that it's mostly comments

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:19:13 -0400

sipb-xen-www (3.15) unstable; urgency=low

  * Use /etc/invirt/keytab instead of a separate keytab for apache

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 19:56:04 -0400

sipb-xen-www (3.14.4) unstable; urgency=low

  * allow '*' wildcard in config.errormail_exclude

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:32:42 -0700

sipb-xen-www (3.14.3) unstable; urgency=low

  * Actually stop Apache on shutdown

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:24:40 -0400

sipb-xen-www (3.14.2) unstable; urgency=low

  * Be a good debian package and undo what you did on uninstall

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:06:30 -0400

sipb-xen-www (3.14.1) unstable; urgency=low

  * Try again, now that I actually understand what the problem is

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:58:46 -0400

sipb-xen-www (3.14) unstable; urgency=low

  * Try to fix startup ordering problem by specifying that the new startup
    script depends on $remote_fs

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:32:14 -0400

sipb-xen-www (3.13.1) unstable; urgency=low

  * Don't add another Listen 443 directive - apache gets angry
  * And this, kids, is why you should always test your code before
    committing

 -- Evan broder <broder@mit.edu>  Fri, 03 Oct 2008 22:01:22 -0400

sipb-xen-www (3.13) unstable; urgency=low

  * Make sure we're listening on all the necessary ports

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:40:47 -0400

sipb-xen-www (3.12) unstable; urgency=low

  * invirt-confiscate the SVN checkout

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:01:33 -0400

sipb-xen-www (3.11) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:48:37 -0400

sipb-xen-www (3.10) hardy; urgency=low

  * depend on debathena-afs-config and python-flup

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 05:58:01 +0000

sipb-xen-www (3.9) unstable; urgency=low

  * further integration of invirt.config

 -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:39:15 -0400

sipb-xen-www (3.8) unstable; urgency=low

  * sipb_xen_database -> invirt.database in cache_acls.py

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:45:19 -0400

sipb-xen-www (3.7) unstable; urgency=low

  uncommitted changes in /etc/apache2 on xvm.mit.edu:
  * rewrite static/ uris for admin mode
  * allow ~ uris

  * take instance from keytab in k5start apache2.init wrapper

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 01:22:47 -0400

sipb-xen-www (3.6) unstable; urgency=low

  * Add Anders' kstart-using apache2 init script.
  * Add some dependencies the svn site needs.
  * Use daemon/xvm-2.mit.edu for svn site, as it's on xvm-2 now

 -- Greg Price <price@mit.edu>  Fri,  1 Aug 2008 20:23:50 -0400

sipb-xen-www (3.5) unstable; urgency=low

  * Use FCGI.
  * Lengthen timeouts to let the autoinstaller work.



=== packages/invirt-xen-config/debian/changelog ===
invirt-xen-config (0.0.18) unstable; urgency=low

  * Explicitly grab the short form of the hostname to assemble the backend
    hostname

 -- Evan Broder <broder@mit.edu>  Wed, 26 Nov 2008 01:27:07 -0500

invirt-xen-config (0.0.17) unstable; urgency=low

  * Pin libxen3 to the hardy repository so it doesn't get pulled from
    hardy-backports until we're ready to upgrade to Xen 3.3

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 19:19:07 -0500

invirt-xen-config (0.0.16) unstable; urgency=low

  * Pick the kernel and initrd for the autoinstaller based on the kernel
    the dom0 is currently running

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:45:30 -0500

invirt-xen-config (0.0.15) unstable; urgency=low

  * Set the max memory to a really high number so we can bump it for users
  * Pass the correct networking device to vif-invirtroute

 -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 00:03:47 -0500

invirt-xen-config (0.0.14) unstable; urgency=low

  * Throw away any output from LVM commands while starting sysvms
  * Correctly delete the lock LVs

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 03:57:09 -0500

invirt-xen-config (0.0.13) unstable; urgency=low

  * Use a lock LV when attempting to start sysvms since exclusive LV
    activation has useless semantics

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 03:15:31 -0500

invirt-xen-config (0.0.12) unstable; urgency=low

  * Add missing close paren to init script

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 09:50:47 -0400

invirt-xen-config (0.0.11) unstable; urgency=low

  * Automatically startup sysvms if they're not running already

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 09:47:15 -0400

invirt-xen-config (0.0.10) unstable; urgency=low

  * Generate config files for sysvms

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 07:40:13 -0400

invirt-xen-config (0.0.9) unstable; urgency=low

  * don't try to disable tx checksums for HVMs; it errors out

 -- Greg Price <price@mit.edu>  Wed, 29 Oct 2008 01:26:07 -0400

invirt-xen-config (0.0.8) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:38 -0400

invirt-xen-config (0.0.7) unstable; urgency=low

  * Clarify description to distinguish from invirt-host-master

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:16:51 -0400

invirt-xen-config (0.0.6) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:03:33 -0400

invirt-xen-config (0.0.5) unstable; urgency=low

  * Give the init script a less weird sounding description

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:11:28 -0400

invirt-xen-config (0.0.4) unstable; urgency=low

  * Another typo in the init script

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:07:32 -0400

invirt-xen-config (0.0.3) unstable; urgency=low

  * Some small fixes in the init script

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:03:12 -0400

invirt-xen-config (0.0.2) unstable; urgency=low

  * Whoops - add the dependencies for the old sipb-xen-database-client

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 18:38:56 -0400

invirt-xen-config (0.0.1) unstable; urgency=low

  * Rename sipb-xen-dom0 -> invirt-xen-config
  * Rearrange the source package
  * Divert /etc/xen/qemu-ifup, since it existed and we've been scribbling
    over it
  * Generate /etc/xen/xend-config.sxp
  * Move the invirt-database Xen config script into this package

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 17:52:39 -0400

sipb-xen-dom0 (2.10) unstable; urgency=low

  * Fix DHCP checksum error for ParaVMs

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 22:12:09 -0400

sipb-xen-dom0 (2.9.1) unstable; urgency=low

  * Whoops - was slightly too vicious with the cuts to qemu-dm-sipb

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:55:41 -0400

sipb-xen-dom0 (2.9) unstable; urgency=low

  * Move the qemu-ifup script to the location where it's now expected to
    be.
  * Clear out some debugging code from qemu-dm-sipb

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:39:43 -0400

sipb-xen-dom0 (2.8) unstable; urgency=low

  * Apply Sam's fix to vif-sipbroute for the prod cluster (the interface
    should eventually be configurized)

 -- Evan Broder <broder@mit.edu>  Tue, 07 Oct 2008 01:18:37 -0400

sipb-xen-dom0 (2.7) unstable; urgency=low

  * Update qemu-dm-sipb to reflect the new location of qemu-dm

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:59 -0400

sipb-xen-dom0 (2.6) unstable; urgency=low

  * depend on sipb-xen-base

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:28:21 -0400

sipb-xen-dom0 (2.5) unstable; urgency=low

  * Don't rely on exported ROOT.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 02 May 2008 02:41:43 -0400

sipb-xen-dom0 (2.4) unstable; urgency=low

  * Add sipb-xen-losetup, a half-sane wrapper around the insane losetup.

 -- Greg Price <price@mit.edu>  Thu,  1 May 2008 01:13:28 -0400

sipb-xen-dom0 (2.3) unstable; urgency=low

  * Depend on generic metapackages/provides instead of particular 
    versions.

 -- Anders Kaseorg <andersk@sipb-xen.mit.edu>  Sat, 27 Oct 2007 21:23:00 -0400

sipb-xen-dom0 (2.2) unstable; urgency=low

  * Add qemu-ifup script that depends on the device model script and
    invokes vif-sipbroute.    As a consequence, we don't really support
    bridged hvms any more.  It's not clear how to get enough information
    out of qemu to do this.
  * Call arpspoof with 18.181.0.1's address.  This is unfortunate in two
    ways.  First, if we renumber we'll need to update the script.  Second,
    it is possible that someone on 18.181 besides the router may have an
    address cached.  Unfortunately, it doesn't work right if we don't
    send the spoofed arp directly to the router.

 -- Sam Hartman <hartmans@debian.org>  Sun, 26 Aug 2007 18:57:17 -0400

sipb-xen-dom0 (2.1) unstable; urgency=low



=== packages/xvm-mail-config/debian/changelog ===
xvm-mail-config (0.0.7) unstable; urgency=low

  * Stop trying to stuff site-specific config into the invirt namespace

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 09:18:51 -0500

xvm-mail-config (0.0.6) unstable; urgency=low

  * Apparently mail processing scripts don't run with a useful path set

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:29:55 -0500

xvm-mail-config (0.0.5) unstable; urgency=low

  * Call the relay script by the correct name

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:23:53 -0500

xvm-mail-config (0.0.4) unstable; urgency=low

  * Fix the aliases file so it actually works

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 16:30:29 -0500

xvm-mail-config (0.0.3) unstable; urgency=low

  * Fix a typo in the aliases file

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:36:34 -0500

xvm-mail-config (0.0.2) unstable; urgency=low

  * Restart postfix after configuring it

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:04:29 -0500

xvm-mail-config (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 20:09:50 -0500

=== packages/python-routefs/debian/control ===
Source: python-routefs
Section: python
Priority: extra
Maintainer: Evan Broder <broder@mit.edu>
Build-Depends: cdbs, debhelper, quilt, python-all-dev, python-support, python-setuptools
Standards-Version: 3.7.2

Package: python-routefs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-fuse, python-routes
Provides: ${python:Provides}
Description: RouteFS: A FUSE API wrapper based on URL routing
 RouteFS makes it easy to write read-only FUSE-based filesystems in
 terms of the resulting directory structure by exploting the URL
 processing library Routes originally written for web-development.
